Results 1 to 7 of 7

Thread: acad 2009

  1. #1
    Member
    Join Date
    2008-05
    Posts
    5
    Login to Give a bone
    0

    Default acad 2009

    I wrote this route to connect draw 3 lines and fillet them together. We went AutoCad 2009 and keeps err out with the fillet command. Any please.


    Code:
    (DEFUN C:5 ()
    (COMMAND "LAYER" "m" "E-WIRING" "c" "blue" "" "")
    (setvar "Orthomode" 1)
    (setvar "osmode" 16383)
    (command "line" PAUSE PAUSE "")
    (setq s (ssget "l"))
    (command "pLine" PAUSE "W" "0" "" PAUSE "")
    (setq SS (ssget "l"))
    (setq FLSCALE (* (GETVAR "DIMSCALE") 0.09375))
    (COMMAND "FILLET" "R" FLSCALE "")
    (command "fillet" S SS )
    (command "pLine" PAUSE "W" "0" "" PAUSE "")
    (setq SS (ssget "l"))
    (setq FLSCALE (* (GETVAR "DIMSCALE") 0.09375))
    (COMMAND "FILLET" "R" FLSCALE "")
    (command "fillet" S SS )
    (princ))
    Last edited by Opie; 2008-05-30 at 08:18 PM. Reason: [CODE] tags added, see Moderator Note

  2. #2
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,106
    Login to Give a bone
    0

    Default Re: acad 2009

    Which fillet command does it error out on?

    Which AutoCAD version did it work in?
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  3. #3
    Member
    Join Date
    2008-05
    Posts
    5
    Login to Give a bone
    0

    Post Re: acad 2009

    It works in 2008 and all-lower versions.
    It err out when fillet command looking for radius I think
    It say's the filler command is unknown command in 2009MEP when ran in the lsp.

  4. #4
    Member
    Join Date
    2008-05
    Posts
    5
    Login to Give a bone
    0

    Default Re: acad 2009

    It do same thing for this command
    let start small


    Code:
    (DEFUN C:FL ()
             (setq FLSCALE;(*;(GETVAR;"DIMSCALE");0.09375))
             (COMMAND "FILLET";"R" FLSCALE;"")
             (COMMAND "FILLET";PAUSE PAUSE))
    Last edited by aaronr; 2008-05-30 at 08:52 PM.

  5. #5
    The Silent Type RobertB's Avatar
    Join Date
    2000-01
    Location
    Seattle WA USA
    Posts
    5,859
    Login to Give a bone
    0

    Default Re: acad 2009

    Why are there all those semi-colons? The proper code syntax is:

    Code:
    (defun C:FL ()
     (setq FlScale (* (getvar "DimScale") 0.09375))
     (command "._Fillet" "_r" FlScale "")
     (command  "._Fillet" pause pause)
     (princ))
    Next, read up on the new (initcommandversion) function.
    R. Robert Bell
    Design Technology Manager
    Stantec
    Opinions expressed are mine alone and do not reflect the views of Stantec.

  6. #6
    Member
    Join Date
    2008-05
    Posts
    5
    Login to Give a bone
    0

    Default Re: acad 2009

    Quote Originally Posted by RobertB View Post
    Why are there all those semi-colons? The proper code syntax is:

    Code:
    (defun C:FL ()
     (setq FlScale (* (getvar "DimScale") 0.09375))
     (command "._Fillet" "_r" FlScale "")
     (command  "._Fillet" pause pause)
     (princ))
    Next, read up on the new (initcommandversion) function.
    Where do find out about this info (initcomm and version) function.
    Thanks that worked

  7. #7
    Certifiable AUGI Addict ccowgill's Avatar
    Join Date
    2004-08
    Location
    Iron Station, NC
    Posts
    3,198
    Login to Give a bone
    0

    Default Re: acad 2009

    Quote Originally Posted by aaronr View Post
    Where do find out about this info (initcommandversion) function.
    Thanks that worked
    initcommandversion can be found in the AutoCAD 2009 Developer Help files, accessed through the help->additional resources menu, or the VLIDE editor.

Similar Threads

  1. Check in from Acad 2009 locks up Vault 2009
    By Mike Y in forum Vault - General
    Replies: 0
    Last Post: 2009-02-23, 08:54 PM
  2. Mtext Issues Acad 2007 to Acad 2009
    By Eddy B in forum AutoCAD General
    Replies: 11
    Last Post: 2009-02-13, 12:37 PM
  3. ACAD 2009
    By rlh in forum AutoCAD General
    Replies: 4
    Last Post: 2008-12-18, 06:54 PM
  4. ACAD MEP 2009 Object Enablers for ACAD LT 2009
    By seventwo in forum AMEP General
    Replies: 4
    Last Post: 2008-06-26, 05:03 PM
  5. ACAD 2009
    By thechinaman in forum Software
    Replies: 15
    Last Post: 2008-06-03, 09:10 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •